<?
require('conexion.php');


function ComprobarRegistro($tabla,$registro) {
	
global $cid;

	//comprobamos qe no est en la tabla _ACODSTRANS
			$rsql = "SELECT * FROM _ACODSTRANS where (TABLATRANS = '$tabla') AND (CODTRANS = '$registro')";
			$rresult=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
			$num_results = 0;
			
			while (odbc_fetch_row($rresult)) {
				++$num_results;
			}
			
			//echo "<br>".$num_results."<br>";
			
			if ($num_results!=0) {
				
				if ($tabla=="COMISIO") {
					//cortamos las 3 ultimas cifras, sumamos 1 y le añadimos 3 ceros
					$registro = substr($registro,0,strlen($registro)-3);
					++$registro;
					$registro .= "000";
					//echo $registro;
				}
				else {
					++$registro;
				}
				
			$registro = ComprobarRegistro($tabla,$registro);
				
			}
			
			
			return $registro;
			
}


//recogemos variables

$empresa = $_GET['empresa'];
$nombre = strtoupper($_GET['nombre']);
$apellidos = strtoupper($_GET['apellidos']);
$direccion = strtoupper($_GET['direccion']);
$dni = strtoupper($_GET['dni']);
$poblacion = strtoupper($_GET['poblacion']);
$provincia = strtoupper($_GET['provincia']);
$codigopostal = $_GET['codigopostal'];
$cpostal = substr($codigopostal,0,strlen($codigopostal)-3);
$tlfijo = $_GET['tlfijo'];
$tlfmovil = $_GET['tlfmovil'];
$fax = $_GET['fax'];
$email = $_GET['email'];
$email_tabla = str_replace('@','#',$email);


$hora=date('H:i:s');
$fecha_a=date('Ymd');
$now=$fecha_a.$hora;
	
$pais = $_GET['pais'];
$observaciones = strtoupper($_GET['observaciones']);
$seguridadsocial = $_GET['seguridadsocial'];
$vpropio = $_GET['vpropio'];
$referencias = strtoupper($_GET['referencias']);
$experiencia = strtoupper($_GET['experiencia']);
$tipo_jornada = $_GET['tipo_jornada'];
$lunes = $_GET['lunes'];
$martes = $_GET['martes'];
$miercoles = $_GET['miercoles'];
$jueves = $_GET['jueves'];
$viernes = $_GET['viernes'];
$sabado = $_GET['sabado'];
$domingo = $_GET['domingo'];

$nacimiento = $_GET['nacimiento'];
$nacimiento = explode("-",$nacimiento);
$nacimiento = $nacimiento[2]."-".$nacimiento[1]."-".$nacimiento[0];
$moto = $_GET['moto'];
$coche = $_GET['coche'];
$btp = $_GET['btp'];
$camion = $_GET['camion'];
$bus = $_GET['bus'];
$remolque = $_GET['remolque'];

$falta = date('Y-m-d H:i:s');

$espanol = $_GET['espanol'];
$ingles = $_GET['ingles'];
$frances = $_GET['frances'];
$aleman = $_GET['aleman'];
$otro_idioma = strtoupper($_GET['otro_idioma']);

//comprobamos si existe como chófer
$sql = ("SELECT count(EMAIL_CHOF) AS num_reg FROM CHOFERES WHERE EMAIL_CHOF='$email_tabla'");
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));

$row = odbc_fetch_array($result);

$num_results = $row['num_reg'];

if ($num_results!=0) {
	echo '<p class="iz" style="margin: 15px 5px 10px 10px;">- El correo con el que intenta solicitar un puesto de chófer ya esta registrado.</p>';
}
else {
	
	//insertamos un chófer
	//extraemos el código de chófer, el mayor + 1 , de la empresa que pasa por el form
	
	$sql="Select max(COD_CHOF) from CHOFERES WHERE COD_CHOF like '00%'";
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	
	$cod_chofer = odbc_result($result,1) + 1;
	//comprobamos que no esta ocupado este registro en _ACODTRANS
	$cod_chofer = ComprobarRegistro('CHOFERES',$cod_chofer);
	//completamos los ceros
	$cod_chofer = str_repeat('0',7-strlen($cod_chofer)).$cod_chofer;
	
	
	$rsql = "INSERT INTO CHOFERES (COD_CHOF,NOM_CHOF,DIR_CHOF,DNI_CHOF,POB_CHOF,PROV_CHOF,CP_CHOF,TEL1_CHOF,TEL2_CHOF,FAX_CHOF,EMAIL_CHOF,FALTA_CHOF,OBSERVA_CHOF,ULTMODI,USUARIO,CLASE_CHOF,SS_CHOF,VEHIPROPIO,REFERENCIAS,EXPERIENCIA,EMAILPERSO_CHOF,DISPO_HORARIA,DISP_LUNES,DISP_MARTES,DISP_MIERCOLES,DISP_JUEVES,DISP_VIERNES,DISP_SABADO,DISP_DOMINGO,FENACI,A,B,BTP,C,D,E,SUB_CHOF) 
	VALUES ('$cod_chofer','".$nombre." ".$apellidos."','$direccion','$dni','$poblacion','$cpostal','$codigopostal','+".$pais." ".$tlfijo."','+".$pais." ".$tlfmovil."','+".$pais." ".$fax."',
	'$email_tabla','$falta','$observaciones','$now','WW','','$seguridadsocial','$vpropio','$referencias','$experiencia',
	'$email_tabla','$tipo_jornada','$lunes','$martes','$miercoles','$jueves','$viernes','$sabado','$domingo',
	'$nacimiento','$moto','$coche','$btp','$camion','$bus','$remolque','00')";
		
	$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	
	echo '<p class="iz" style="margin: 15px 5px 10px 10px;">- Su perfil como chófer se ha creado correctamente.</p>';
	
	//idiomas choferes
	if ($espanol!="") {
		$rsql = "INSERT INTO CHOFER_IDIOMAS (CHOFER,IDIOMA,USUARIO,ULTMODI,SUNOTA) VALUES ('$cod_chofer','1','WW','$now','".$espanol."')";
		$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	}
	
	if ($ingles!="") {
		$rsql = "INSERT INTO CHOFER_IDIOMAS (CHOFER,IDIOMA,USUARIO,ULTMODI,SUNOTA) VALUES ('$cod_chofer','2','WW','$now','".$ingles."')";
		$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	}
	
	if ($frances!="") {
		$rsql = "INSERT INTO CHOFER_IDIOMAS (CHOFER,IDIOMA,USUARIO,ULTMODI,SUNOTA) VALUES ('$cod_chofer','3','WW','$now','".$frances."')";
		$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	}
	
	if ($aleman!="") {
		$rsql = "INSERT INTO CHOFER_IDIOMAS (CHOFER,IDIOMA,USUARIO,ULTMODI,SUNOTA) VALUES ('$cod_chofer','4','WW','$now','".$aleman."')";
		$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	}
	
	if ($otro_idioma!="") {
		$rsql = "INSERT INTO CHOFER_IDIOMAS (CHOFER,IDIOMA,OBSERVACIONES,USUARIO,ULTMODI) VALUES ('$cod_chofer','8','$otro_idioma','WW','$now')";
		$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	}
	
	
	
	
	
}


?>